//Header file for register acronyms for the AD9958/9 dual/quad DDS

/*** BeginHeader CSR */
//Control Registers (shared by all channels)
#define CSR		0x00	//Channel Select Reg, 1 byte
#define FR1		0x01	//Function Reg 1, 3 bytes
#define FR2		0x02	//Function Reg 2, 2 bytes

//Channel Registers (each channel has its own copy of these)
#define CFR		0x03	//Channel Function Reg, 3 bytes
#define CFTW0	0x04	//Channel Frequency Tuning Word, 4 bytes
#define CPOW0	0x05	//Channel Phase Offset Word, 2 bytes
#define ACR		0x06	//Amplitude Control Reg, 3 bytes
#define LSRR	0x07	//Linear Sweep Ramp Rate, 2 bytes
#define RDW		0x08	//LSR Rising Delta Word, 4 byte
#define FDW		0x09	//LSR Falling Delta Word, 4 byte

//Profile Register Map
#define CW1		0x0A	//Channel Word 1, 4 byte
#define CW2		0x0B	//Channel Word 1, 4 byte
#define CW3		0x0C	//Channel Word 1, 4 byte
#define CW4		0x0D	//Channel Word 1, 4 byte
#define CW5		0x0E	//Channel Word 1, 4 byte
#define CW6		0x0F	//Channel Word 1, 4 byte
#define CW7		0x10	//Channel Word 1, 4 byte
#define CW8		0x11	//Channel Word 1, 4 byte
#define CW9		0x12	//Channel Word 1, 4 byte
#define CW10	0x13	//Channel Word 1, 4 byte
#define CW11	0x14	//Channel Word 1, 4 byte
#define CW12	0x15	//Channel Word 1, 4 byte
#define CW13	0x16	//Channel Word 1, 4 byte
#define CW14	0x17	//Channel Word 1, 4 byte
#define CW15	0x18	//Channel Word 1, 4 byte

#define Bit0	0x1	//Das Bit
#define Bit1	0x2
#define Bit2	0x4
#define Bit3	0x8
#define Bit4	0x10
#define Bit5	0x20
#define Bit6	0x40
#define Bit7	0x80
/*** EndHeader  */